﻿local ADDONNAME= ...
local VERSION = GetAddOnMetadata(ADDONNAME,"Version")
function MiniHudAXP_OnLoad(self)
	self:RegisterEvent("ADDON_LOADED");			--AddOn Loaded
	self:RegisterEvent("PLAYER_ENTERING_WORLD");
	self:RegisterEvent("AZERITE_ITEM_EXPERIENCE_CHANGED");
	self:RegisterEvent("BAG_UPDATE");
end

function MiniHudAXP_OnEvent(self, event, ...)
	if (event == "ADDON_LOADED") then
 		if (...) == ADDONNAME then
			DEFAULT_CHAT_FRAME:AddMessage(ADDONNAME.." "..VERSION.." Loaded.");
		end
	end
	MiniHudAXP_Update();
end
function MiniHudAXP_Update()
	
	
	if not C_AzeriteItem.HasActiveAzeriteItem() then 
		MiniHudAXP:Hide()
		return 
	end

	local cyan = "|cff00ffff"
	local khaki = "|cfff2e699"
	local xp, xpmax = C_AzeriteItem.GetAzeriteItemXPInfo(C_AzeriteItem.FindActiveAzeriteItem()) 
	local level = C_AzeriteItem.GetPowerLevel(C_AzeriteItem.FindActiveAzeriteItem()) 
	local percent = (xp/xpmax)*100
	
	MiniHudAXP:Show()
	MiniHudAXPFrameText:SetText(khaki.."Azerite Lv: "..cyan..level..khaki.." ("..gradient(percent)..BreakUpLargeNumbers(xp).."/"..BreakUpLargeNumbers(xpmax)..khaki..") ["..gradient(percent)..BreakUpLargeNumbers(xpmax-xp)..khaki.." Left]");
	MiniHudAXP:SetWidth (MiniHudAXPFrameText:GetStringWidth() + 20);
	MiniHudAXP:SetHeight(MiniHudAXPFrameText:GetStringHeight() + 20);
end

function gradient(x)
	local green = 2*x
	local red = 2*(100-x)
	if green > 100 then green = 100 end
	if red > 100 then red = 100 end

	return format("|cff%2x%2x00",floor(red* 2.55),floor(green*2.55))
end
